<?php

    /**
     * Admin settings of Tymber V2
     */

    // create custom plugin settings menu
    add_action('admin_menu', 'tv2_lite_main_create_menu');

    function tv2_lite_main_create_menu() {

        //create new top-level menu
        add_menu_page('Tymber Lite', 'Tymber Lite', 'administrator', 'tymber-v2-lite', 'tv2_lite_main_settings_page' , 'dashicons-welcome-widgets-menus' /*plugins_url('/images/icon.png', __FILE__)*/ );

        //call register settings function
        add_action( 'admin_init', 'tv2_lite_main_settings' );
    }


    function tv2_lite_main_settings() {
        register_setting( 'tv2_lite_main_settings_adv_group', 'tv2_lite_disable_relative_url' );
        register_setting( 'tv2_lite_main_settings_adv_group', 'tv2_lite_disable_relative_url_on_dashboard' );
        register_setting( 'tv2_lite_main_settings_adv_group', 'tv2_lite_disable_storemenu' );
        register_setting( 'tv2_lite_main_settings_adv_group', 'tv2_lite_turnoff_mainsite_redirection' );
        register_setting( 'tv2_lite_main_settings_adv_group', 'tv2_lite_enable_wild_url_guesses' );
    }

    function tv2_lite_main_settings_page() {
        $default_tab = null;
		$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
    ?>
    <div class="wrap tv2_lite_settings_wrap">
    <h1>Tymber Lite - Plugin Settings</h1>
    <div>
		<br>
		<nav class="nav-tab-wrapper">
			<a href="?page=tymber-v2-lite" class="nav-tab <?php if($tab===null):?>nav-tab-active<?php endif; ?>">Settings</a>
			<!-- <a href="?page=tymber-v2-lite&tab=advanced" class="nav-tab <?php if($tab==='advanced'):?>nav-tab-active<?php endif; ?>">Advanced</a> -->
		</nav>
        <style>
            .image-preview-wrapper {position: relative;width: 122px;}
            img#image-preview {border: 1px solid #ddd;padding: 10px;width: 100px;height: 100px;object-fit: contain;}
            a#remove_preloader_img_button {position: absolute;top: -8px;right: -8px;text-align: center;width: 25px;height: 25px;border-radius: 50%;background: #fff;box-shadow: 0px 1px 3px #ccc;line-height: 20px;text-decoration: none;font-size: 18px;font-weight: bold;}
            a#remove_preloader_img_button span.dashicons.dashicons-no {line-height: 25px;}
            .small_help_note{font-weight:bold;font-size:75%;color:#f00}
            .code{padding:10px;background:rgba(0,0,0,.05);}
            @media screen and (min-width: 783px){
                .form-table th {
                    width: 275px;
                }
            }
        </style>
        <form method="post" action="options.php">
            <div class="tv2_lite_settings_wrp">
                <table class="form-table">
                    <?php switch($tab) :
                        case 'advanced':
                        ?>   
                        <?php
                        break;
                        default:
                        ?>                        
                            <?php settings_fields( 'tv2_lite_main_settings_adv_group' ); ?>
                            <?php do_settings_sections( 'tv2_lite_main_settings_adv_group' ); ?>
                            <tr valign="top">
                                <th colspan="2">
                                    <i style="color: #f00;">These settings may break site down, proceed with caution</i>
                                </th>
                            </tr>
                            <tr valign="top">
                                <th scope="row">Disable Relative URL</th>
                                <td>
                                    <input type="checkbox" name="tv2_lite_disable_relative_url" value="1" <?php checked(1, get_option('tv2_lite_disable_relative_url'), true); ?> />
                                </td>
                            </tr>
							<tr valign="top">
                                <th scope="row">Disable Relative URL On Admin Dashboard</th>
                                <td>
                                    <input type="checkbox" name="tv2_lite_disable_relative_url_on_dashboard" value="1" <?php checked(1, get_option('tv2_lite_disable_relative_url_on_dashboard'), true); ?> />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">Disable Store Menu</th>
                                <td>
                                    <input type="checkbox" name="tv2_lite_disable_storemenu" value="1" <?php checked(1, get_option('tv2_lite_disable_storemenu'), true); ?> />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">Disable Redirections</th>
                                <td>
                                    <input type="checkbox" name="tv2_lite_turnoff_mainsite_redirection" value="1" <?php checked(1, get_option('tv2_lite_turnoff_mainsite_redirection'), true); ?> />
                                    <small class="small_help_note">* This will redirect missing <b>/</b> trailing slash urls to WP domain.</small>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">Enable URL Autocorrect</th>
                                <td>
                                    <input type="checkbox" name="tv2_lite_enable_wild_url_guesses" value="1" <?php checked(1, get_option('tv2_lite_enable_wild_url_guesses'), true); ?> />
                                    <small class="small_help_note">* This will turn on URL Autocorrection. (eg. /new/ will be redirected to /new-vendor-request/) this might expose WP domain</small>
                                </td>
                            </tr>
                        <?php
                        break;
                    endswitch; ?>
                </table>
                <div style="clear:both;"></div>
                <hr>
            </div>
            <div style="clear:both;"></div>
            <?php submit_button(); ?>

        </form>
    </div>
    <?php }